Name: wimax-tools
Version: 1.4.4
Release: 1%{?dist}
License: BSD
Group: System Environment/Base
Summary: Low level user space tools for the Linux WiMAX stack
URL: http://linuxwimax.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 
# Source: http://linuxwimax.org/Download?action=AttachFile&do=get&target=wimax-tools-%{version}.tar.gz
Source: wimax-tools-%{version}.tar.gz
# Missing from tarball
# http://git.kernel.org/?p=linux/kernel/git/inaky/wimax-tools.git;a=blob_plain;f=CHANGELOG;hb=543b32888e038a017691097aca5eada9c860455f
Source1: CHANGELOG
# http://git.kernel.org/?p=linux/kernel/git/inaky/wimax-tools.git;a=blob_plain;f=LICENSE;hb=543b32888e038a017691097aca5eada9c860455f
Source2: LICENSE
BuildRequires: libnl-devel glib2-devel
ExcludeArch: s390 s390x

%description
Tools for diagnosing and testing WiMAX connectivity.

%package libs
Group: System Environment/Libraries
Summary: Runtime libraries for WiMAX support
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description libs
Runtime libraries for the WiMAX low level tools.
Other applications use these libraries to gain access to the WiMAX kernel stack.

%package devel
Group: Development/Libraries
Summary: Development files for libwimax
Requires: wimax-tools-libs = %{version}-%{release}
Requires: pkgconfig

%description devel
This package provides the header files and libraries needed to compile
programs that will use the runtime libraries provided by the WiMAX low
level tools.

%prep
%setup -q
cp %{SOURCE1} %{SOURCE2} .

%build
%configure --disable-doxygen-doc
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -name "*.la" -exec rm {} \;
find $RPM_BUILD_ROOT -name "*.a" -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README CHANGELOG INSTALL LICENSE
%{_bindir}/*
%{_libdir}/wimax-tools

%files libs
%defattr(-,root,root,-)
%{_libdir}/lib*.so.0*

%files devel
%defattr(-,root,root,-)
%{_includedir}/wimaxll/*
%{_includedir}/wimaxll.h
%{_includedir}/wimaxll-version.h
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Mar 22 2011 Bill Nottingham <notting@redhat.com> 1.4.4-1
- Initial packaging, based on upstream spec
